function X = hilbertdata(X, fs, fc)

X = bsxfun(@minus, X, mean(X,2)); %subtract mean
cutoff= fc./(fs/2);
[b,a]=butter(4,cutoff,'bandpass');
for i=1:size(X,3)
    for j=1:size(X,1)
        X(j,:,i) = hilbert(filtfilt(b, a, X(j,:,i)'))';
    end
end

    